%define name uxcook
%define version 2.0.1
%define release %mkrel 10

Name: %{name}
Summary: Fix problems resulting of improperly set FTP downloads
Version: %{version}
Release: %{release}
Source0: http://www.free-music.com/%{name}-%{version}.tar.bz2
Patch0: uxcook-fix-overriding-cflags.patch.bz2 
License: GPL
URL: http://www.free-music.com/uxcook.htm
Group: File tools
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
# Author: bdc@bethany.edu

%description
This is basically a clone of Uncook95 (which runs under Microsoft Windows). It
is designed to allow Netscape users to fix MP3 files that were retrieved from
improperly set servers. Of course this is not limited to MP3 files.

Actually, these problems mainly come from binary files downloaded in ASCII mode
(e.g. when a server sends binary information as text it inserts linefeeds at
semi-regular intervals). With uxcook you will avoid re-doing the download.

%prep
%setup -q
%patch0 -p0

%build
CFLAGS=$RPM_OPT_FLAGS %make

%install
rm -rf $RPM_BUILD_ROOT
install %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/%{name}

%changelog
